--
-- project-tracker/sql/pt-priorties.sql
-- 
-- Prioty information for Project Tracker. New feature added on April 09, 2001
--
-- @author Nobuko Asakai nasakai@arsdigita.com
--
-- @creation-date 2000-04-09
--
-- @cvs-id $Id: pt-priorities.sql,v 1.1.1.1 2001/04/10 21:00:11 nasakai Exp $


-- Do I want an ID column here... Hum. Technically I don't need one,
-- however, since the user can edit the value as well, we are also
-- going to use a primary key

create sequence pt_priority_seq start with 1;

create table pt_priorities (
    option_id		  number 
			  constraint pt_pri_option_id_pk
			  primary key,
    package_id		  constraint pt_pri_package_id_fk	
			  references apm_packages(package_id),
    value		  integer
			  constraint pt_pri_value_nn
			  not null,
    name		  varchar2(100)
			  constraint pt_pri_name_nn	
			  not null,
    constraint pt_pri_pkg_val_un unique(package_id, value),
    constraint pt_pri_pkg_name_un unique(package_id, name)
);


-- We are not using ACS Objects so we do not use the standard procedure names

-- We also want to insert some default values on initialization. This
-- will be done in pt_project.new procedure


