#packages/project-tracker/wf-templages/task-info.tcl

ad_page_contract {
    Returns information about a project-tracker task. To be included as
    one of the panels in /acs-workflow/www/task.adp
} -properties {
    pt_task:onerow
}

# task is one of the parameters specified in the include tag in 
# /acs-workflow/www/task.adp

set pt_task_id $task(object_id)


db_1row pt_task_info_select {
    select name, description, estimated_days, deadline, parent_id,
    pt_project.name(:pt_task_id) as project_name
    from pt_tasks where task_id = :pt_task_id
} -column_array {pt_task}

if {![empty_string_p $pt_task(parent_id)]} {

    db_0or1row pt_parent_info_select "
    select name, description
    from pt_tasks 
    where task_id = $pt_task(parent_id)
    " -column_array {pt_parent}
}
set pt_url [db_exec_plsql pt_url {
    begin
    :1 := pt_util.pt_url (
        task_id => :pt_task_id
    );
    end;
}]









