# /project-tracker/www/proj-add.tcl

ad_page_contract {
    Initializes the project-tracker instance by mapping package
    instance, root task relationship in the pt_projects table and
    inserting a row in pt_tasks table. This page should really be only
    called once during the life of a project
} {
    task_id:integer,notnull
    name:notnull,max_string_length(200)
    description:optional,html,max_string_length(4000)
    html_p:notnull,boolean
} 


## We want to have double click protection here... or do we?
set package_id [ad_conn package_id]
set user_id [ad_maybe_redirect_for_registration]
set peeraddr [ad_conn peeraddr]

db_dml task_update {
	update pt_tasks
	set name = :name,
	description = :description,
        html_p = :html_p
	where task_id = :task_id
}

if {![db_resultrows]} {
    db_dml new_project {
    declare
    v_project_id pt_projects.project_id%TYPE;
    begin
    v_project_id := pt_project.new (
	root_id     => :task_id,
        package_id  => :package_id,
        description => :description,
        name        => :name,
	html_p      => :html_p,
        context_id  => :package_id,
	creation_user => :user_id,
	creation_ip => :peeraddr
    );
    end;

   }
}

ad_returnredirect index







