# /packages/project-tracker/www/admin/priority.tcl

ad_page_contract {
    @author Nobuko Asakai (nasakai@arsdigita.com)
    @creation-date 2001-04-09
    @cvs-id $Id: priority.tcl,v 1.2 2001/04/10 22:37:37 nasakai Exp $
    
    @param priority_id The id for the priority being edited
    @action_type one of priority_add priority_edit
} -properties {
    v_priority_id
    priority_options
}
# We are expecting the parameters action_type and priority_id to be passed in

set package_id [ad_conn package_id]

set url [ad_conn url]

if {[string equal $action_type "priority_add"] && ![exists_and_not_null v_priority_id] }  {
    set add_link "<font color=gray>Add</font>"
} else {
    set add_link "\[<a href=$url?[export_vars {{action_type priority_add}} ]>Add</a>\]"
}

db_multirow priority_options priority_option_select {
    select name, 
           value, 
           priority_id, 
           rownum,
           '' as name_link,
           '' as delete_link
    from pt_priorities 
    where package_id = :package_id
    order by value desc
} {
    set name_link "<a href=$url?[export_vars \
	    {{action_type priority_edit} {v_priority_id $priority_id}}]>$name</a>\n"

    set delete_link "<a href=priority-delete?[export_vars \
	    {{return_url $url} {v_priority_id $priority_id}}]>Delete</a>\n"

}

form::create priority_ae \
	-action priority-ae

if {[string equal $action_type "priority_add"] || \
	[string equal $action_type "priority_edit"] } {
    template::element create priority_ae name \
	    -widget text \
	    -label "Name"
    
    template::element create priority_ae value \
	    -widget text \
	    -label "Value" \
	    -html "size 3"

    template::element create priority_ae v_priority_id \
	    -widget hidden 
         
    template::element create priority_ae return_url \
	    -widget hidden \
	    -value $url
    
    template::element create priority_ae action_type \
	    -widget hidden \
	    -value $action_type
        
    if {[string equal $action_type "priority_add"]} {
	# We are adding
	template::element set_properties priority_ae v_priority_id \
		-value [db_nextval "pt_priority_seq"]
    } else {
	# We are editing set the default values
	db_1row one_priority_option_select {
	    select value, name 
	    from pt_priorities
	    where priority_id = :v_priority_id
	}
	
	ns_log notice "Name $name value $value"

	template::element set_properties priority_ae v_priority_id \
		-value $v_priority_id
	
	template::element set_properties priority_ae name \
		-value $name

	template::element set_properties priority_ae value \
		-value $value
    }
}

ad_return_template priority








