# /packages/project-tracker/admin/sender-designate-2.tcl

ad_page_contract {
    Designate a user as the sender of email notifications in this project-tracker,
    alteration of the same file in ticket tracker.

    @author Nobuko Asakai (nasakai@arsdigita.com)
    @creation-date 2001-03-02
    @cvs-id $Id: sender-designate-2.tcl,v 1.1.1.1 2001/04/10 21:00:11 nasakai Exp $
} {
    party_id:integer
} -validate {
    party_id_is_not_zero -requires party_id:notnull {

	 # We further ensure that party_id is not magic object root
	 # security context, 0
	if {[string equal $party_id 0]} {
	    ad_complain "You cannot assign the root context to a task."
	}
    }
}

set package_id [ad_conn package_id]

ad_parameter -set $party_id -package_id $package_id \
	PTNotificationSender "project-tracker"

ad_returnredirect ""

