# /project-tracker/www/task-assign.tcl

#  This is not a stand-alone page, and requires v_task_id
#  @author Nobuko Asakai (nasakai@arsdigita.com
#  @creation-date Feb 26 2001
#  @cvs-id $Id: assigned-parties.tcl,v 1.1.1.1 2001/04/10 21:00:10 nasakai Exp $
#  @param v_task_id The id of the task that is being assigned

if {![exists_and_not_null v_task_id]} {
    set v_task_id 4803
}

set package_id [ad_conn package_id]

set assigned_users_query "
select acs_object.name(wca.party_id) as name, wca.party_id
from wf_case_assignments wca, wf_cases wc
where wc.object_id = :v_task_id
and wc.case_id = wca.case_id
order by lower(acs_object.name(wca.party_id))"

# We have to say and party_id <> 0 so we don't pick up the root
# security context object. We also say party_id <> -1 because we don't
# want to allow General public (users that are not logged in) to do
# things

set unassigned_users_query "
select party_id, acs_object.name(pm.party_id) as name, party_id
from acs_object_party_privilege_map pm
where  object_id = :package_id
and pm.privilege = 'write'
and party_id <> 0
and party_id <> -1
and not exists (select 1
                from wf_case_assignments wca, wf_cases wc
                where wc.object_id = :v_task_id
                and wc.case_id = wca.case_id
                and pm.party_id = wca.party_id)
order by lower(acs_object.name(pm.party_id))
"

db_multirow assigned_parties assigned_parties_select $assigned_users_query



ad_return_template assigned-parties



