# /packages/project-tracker/www/task-ae.tcl

ad_page_contract {
    DML for project tasks, receives information from index and task-view
    
    @author Nobuko Asakai (nasakai@arsdigita.com)
    @creation-date Feb 24 2001
    @cvs-id $Id: task-ae.tcl,v 1.1.1.1 2001/04/10 21:00:10 nasakai Exp $

    @param descripion It is optional, but has a default value for DML
    @param v_task_id We do not execute the pt_task_id filter because it could be a new task
} {
    name:notnull,nohtml,max_string_length(200)
    {description:html,max_string_length(4000) [db_null]}
    html_p:boolean
    {estimated_days:trim,pt_estimated_days ""}
    v_parent_id:optional,pt_task_id
    v_task_id:notnull
    {priority:integer,pt_priority_id [db_null]}
    {deadline:array,date {[ array set deadline {date ""} ]}}
    {return_url "index"}
}


set package_id [ad_conn package_id]
set user_id [ad_maybe_redirect_for_registration]
set peeraddr [ad_conn peeraddr]

set sql_deadline $deadline(date)

ad_require_permission $package_id "write"

db_transaction {
    db_dml task_update {
	update pt_tasks
	set name = :name,
	description = :description,
	estimated_days = :estimated_days,
	deadline   = :sql_deadline,
	priority = :priority,
	html_p = :html_p
	where task_id = :v_task_id
    }

    
    if {![db_resultrows]} {
	#insert
	set temp_val [db_exec_plsql project_task_new {
	    begin
	    :1 := pt_task.new (
	    task_id        => :v_task_id,
	    name           => :name,
	    description    => :description,
	    parent_id      => :v_parent_id,
	    estimated_days => :estimated_days,
	    deadline       => :sql_deadline,
	    html_p         => :html_p,
	    priority       => :priority,
	    creation_user  => :user_id,
	    creation_ip    => :peeraddr,
	    context_id     => :package_id	    
	    );
	    end;
	}]
	}
}
ns_returnredirect $return_url








