# /packages/project-tracker/www/task-move.tcl

ad_page_contract {

    For moving task branches. Uses pt_task.move_branch to update
    pt_tasks and make changes to wf_cases. Redirects to index

    @author Nobuko Asakai (nasakai@arsdigita.com)
    @creation-date Feb 24 2001
    @cvs-id $Id: task-move.tcl,v 1.1.1.1 2001/04/10 21:00:10 nasakai Exp $

} {
   v_task_id:notnull,integer,pt_task_id
   v_parent_id:notnull,integer,pt_task_id
    {return_url index}
}

set peeraddr [ad_conn peeraddr]
set user_id [ad_maybe_redirect_for_registration]
set package_id [ad_conn package_id]

ad_require_permission $package_id "write"

# We do not need double click protection here because move is only an
# update

db_dml move_task_branch {
begin
pt_task.move_branch (
    new_parent_id => :v_parent_id,
    task_id       => :v_task_id,
    context_id    => :package_id,
    creation_user => :user_id,
    creation_ip   => :peeraddr
);
end;
}

ad_returnredirect $return_url