# /packages/project-tracker/www/workflow-start.tcl

ad_page_contract {
    Starts the workflow for v_task_id
    @author Nobuko Asakai (nasakai@arsdigita.com)
    @creation-date Feb 24 2001
    @cvs-id $Id: workflow-start.tcl,v 1.2 2001/04/18 00:35:30 nasakai Exp $
} {
    v_task_id:integer,pt_task_id,notnull
    {return_url index}
} 


set package_id [ad_conn package_id]
set user_id [ad_maybe_redirect_for_registration]
set peeraddr [ad_conn peeraddr]

ad_require_permission  $package_id write

# Double click protection
db_transaction {
   if {[ db_0or1row wf_case_state_check {
	select state 
	from wf_cases 
	where object_id = :v_task_id
	and state = 'created'
   }]} {
       db_exec_plsql start_workflow {
	   begin
	   pt_task.start_workflow (
	   task_id => :v_task_id,
	   creation_user => :user_id,
	   creation_ip => :peeraddr,
	   msg => 'Task started in PT'
	   );
	   end;
       }
   }
}
ad_returnredirect $return_url



